import { WebFoundationSettings } from '../settings';
import { WebContext } from '@e2/web';
import { MicrosoftAuthenticatorOptions } from '../authenticators/microsoft/MicrosoftAuthenticator';
import { ExternalUserModel } from '../models/ExternalUserModel';
import { UserModel } from '../models/UserModel';
import { IAuthenticationProfile } from '../authenticators/IAuthenticationProfile';
import { WebFoundationController } from './WebFoundationController';
export declare abstract class MicrosoftOAuthController<T extends WebFoundationSettings> extends WebFoundationController<T> {
    abstract configure(ctx: WebContext<T>): Promise<MicrosoftAuthenticatorOptions>;
    abstract authenticated(ctx: WebContext<T>, externalUser: ExternalUserModel, foundUsers: UserModel | null, loggedInUser: UserModel | null): Promise<UserModel>;
    start(ctx: WebContext<T>): Promise<void>;
    callback(ctx: WebContext<T>): Promise<void>;
    protected findOrCreateExternalUser(ctx: WebContext<T>, profile: IAuthenticationProfile): Promise<ExternalUserModel>;
    protected findLinkedUsers(ctx: WebContext<T>, externalUser: ExternalUserModel): Promise<UserModel | null>;
    private findCurrentUser(ctx);
}
