import { Identity, IResolver } from '@e2/web';
import { UserModel } from '../models/UserModel';
import { ExternalUserModel } from '../models/ExternalUserModel';
import { EmailModel } from '../models/EmailModel';
import { WebFoundationSettings } from '../settings';
export declare class UserMutations {
    static FindOrCreateFromExternalUser(domain: IResolver, settings: WebFoundationSettings, identity: Identity, externalUser: ExternalUserModel): Promise<UserModel>;
    static CreateFromExternalUser(domain: IResolver, settings: WebFoundationSettings, identity: Identity, externalUser: ExternalUserModel): Promise<UserModel>;
    static CreateFromEmail(domain: IResolver, settings: WebFoundationSettings, identity: Identity, email: EmailModel): Promise<UserModel>;
    static Update(domain: IResolver, settings: WebFoundationSettings, identity: Identity, user: UserModel, props: any): Promise<UserModel | null>;
}
