import { Resolvable, WebIdentityService } from '@e2/web';
import { WebFoundationSettings } from '../settings';
import { UserModel } from '../models/UserModel';
import { Ctx } from '../interfaces/Ctx';
import { SessionModel } from '../models/SessionModel';
export declare class SessionService extends Resolvable<WebFoundationSettings> {
    IdentityService: WebIdentityService;
    Terminate(ctx: Ctx, reason: string): Promise<SessionModel | null>;
    Create(ctx: Ctx, user: UserModel, allows: Array<string>, previousSession?: SessionModel, impersonated?: boolean): Promise<SessionModel>;
    private throwErrorForInvalidUser(user);
    private throwErrorForInvalidSession(session);
    private updateIdentityWithSession(ctx, loggedInSession);
}
